org.apache.lucene.index

## Class AssertingLeafReader.AssertingBinaryDocValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.BinaryDocValues
    - - org.apache.lucene.index.AssertingLeafReader.AssertingBinaryDocValues

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingBinaryDocValues
    extends BinaryDocValues

Wraps a BinaryDocValues but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

`NO_MORE_DOCS`

### Constructor Summary

Constructors
Constructor and Description
`AssertingBinaryDocValues(BinaryDocValues in, int maxDoc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `advance(int target)`
`boolean` `advanceExact(int target)`
`BytesRef` `binaryValue()`
`long` `cost()`
`int` `docID()`
`int` `nextDoc()`
`String` `toString()`

### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

`all, empty, range, slowAdvance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AssertingBinaryDocValues

    public AssertingBinaryDocValues(BinaryDocValues in,
                                    int maxDoc)

### Method Detail

#### docID

    public int docID()

Specified by:
  `docID` in class `DocIdSetIterator`

#### nextDoc

    public int nextDoc()
                throws IOException

Specified by:
  `nextDoc` in class `DocIdSetIterator`
Throws:
  `IOException`

#### advance

    public int advance(int target)
                throws IOException

Specified by:
  `advance` in class `DocIdSetIterator`
Throws:
  `IOException`

#### advanceExact

    public boolean advanceExact(int target)
                         throws IOException

Throws:
  `IOException`

#### cost

    public long cost()

Specified by:
  `cost` in class `DocIdSetIterator`

#### binaryValue

    public BytesRef binaryValue()
                         throws IOException

Specified by:
  `binaryValue` in class `BinaryDocValues`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`